<!-- START action buttons-->
<div class="d-flex mb-2">
    <div class="btn-group">
        <button class="btn btn-secondary btn-sm" type="button">
            <em class="fa fa-mail-reply text-gray-dark"></em>
        </button>
        <button class="btn btn-secondary btn-sm" type="button">
            <em class="fa fa-mail-reply-all text-gray-dark"></em>
        </button>
        <button class="btn btn-secondary btn-sm" type="button">
            <em class="fa fa-mail-forward text-gray-dark"></em>
        </button>
    </div>
    <div class="btn-group ml-auto">
        <button class="btn btn-secondary btn-sm" type="button">
            <em class="fa fa-exclamation text-gray-dark"></em>
        </button>
        <button class="btn btn-secondary btn-sm" type="button">
            <em class="fa fa-times text-gray-dark"></em>
        </button>
    </div>
</div>
<!-- END action buttons-->
<div class="card card-default">
    <div class="card-body">
        <p class="lead text-center" *ngIf="!folderMailsCount()">No mails here</p>
        <table class="table table-hover mb-mails" *ngIf="folderMailsCount()">
            <tbody>
                <tr *ngFor="let mail of folderMails()" [class.mb-mail-active]="mail.unread">
                    <td class="d-none d-lg-table-cell">
                        <div class="checkbox c-checkbox">
                            <label>
                                <input type="checkbox" />
                                <span class="fa fa-check"></span>
                            </label>
                        </div>
                    </td>
                    <td class="d-none d-lg-table-cell text-center">
                        <em class="fa fa-lg" [ngClass]="mail.folder=='starred'?'fa-star text-warning':'fa-star-o text-muted'"></em>
                    </td>
                    <td [routerLink]="['/extras/mailbox/view',mail.id]">
                        <div class="d-flex">
                            <img class="mb-mail-avatar mr-2" [src]="mail.from.avatar" alt="Mail Avatar" />
                            <div class="mb-mail-meta">
                                <div class="mb-mail-subject">{{mail.subject}}</div>
                                <div class="mb-mail-from">{{mail.from.name}}</div>
                                <div class="mb-mail-preview d-none d-md-block" [innerHTML]="mail.content"></div>
                            </div>
                            <div class="mb-mail-date ml-auto">{{mail.date}}</div>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
